@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:wght@300;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Carter+One&display=swap');

body {
  font-family: 'Noto Sans', sans-serif;
  position: relative;
  color: #0065a4;
  transition: 0.3s all;
}

* {
  box-sizing: border-box;
}

body.body-play {
  position: absolute;
  left: 50%;
  top: 50%;
  width: 100%;
  height: 100%;
  transform: translate(-50%, -50%);
  overflow: hidden;
}


.bkg-overlay {
  z-index: -1;
  position: fixed;
  content: '';
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-image: url(../img/sarabingo-bkg-02.jpg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  background-color: #fff;
  opacity: 0.25;
  filter: blur(2px);
}

.play-overlay {
  z-index: 1;
  position: fixed;
  content: '';
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  display: block;
}

.play-overlay > div {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.play-overlay p {
  font-size: 24px;
  font-weight: bold;
}

.sweet-alert {
  background-color: transparent;
}

.sweet-alert h2 {
  max-width: 320px;
  max-height: 320px;
  margin: 0 auto;
}

.sweet-alert > p {
  background-color: #fff;
  display: block;
  content: '';
  width: 320px;
  height: 100%;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: -1;
}


@media (orientation: portrait) {  
  body.body-play {
    /*
    transform: rotate(90deg);
    border: 1px dashed #c00;
    */
  }
}

.logo {
  display: inline-block;
  margin: 30px;
  margin-bottom: 0px;
  width: 100px;
  max-width: 100%;
}

.col_logo {
  padding: 10px 30px !important;
  width: 160px;
  max-width: 100%;
}

.col_logo img {
  width: 100%;
}

#card_info {
  float: left; 
  overflow: hidden;
  line-height: 1.5em;
}

#card_info #player_name {
  display: inline-block;
  white-space: nowrap;
  text-overflow: ellipsis;
  position: relative;
}

#cnt_card_number {
  font-size: 24px;
}

.cnt_qrcode {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  border-radius: 30px;
  box-shadow: 0 25px 25px rgba(0, 0, 0, 0.25);
  background-color: #fff;
  overflow: hidden;
  width: auto;  
}

.cnt_qrcode.cnt_qrcode_with_image {
  width: 860px;
}

.qrcode {
  float: left;
  display: block;
  max-width: 100%;
}

.cnt_event_image {
  float: left;
  width: 430px;
  height: 430px;
  text-align: center;
  position: relative;  
}

.cnt_event_image img {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  max-width: 100%;
}

#cnt_header {
  overflow: hidden;
  position: relative;
}

#cnt_header table {
  width: 100%;
  border-spacing: 0;
  border-collapse: collapse;
}

#cnt_header table th,
#cnt_header table td {
  padding: 0;
  box-sizing: border-box;
}

body:not(.body-qr) #cnt_header {
  background-color: rgba(255, 255, 255, 0.1);
  /*border-bottom: 2px solid #fff;*/
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.1);  
}

.col_card_image {
  padding: 30px !important;
  width: 180px;
}

.col_card_image_empty {
  width: 30px;
}

.cnt_card_image {
  position: relative;
  height: 0;
  padding-bottom: 100% !important;
  overflow: hidden;
}

.cnt_card_image img {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  max-width: 100%;
  max-height: 100%;
}

#card_social {
  float: right;
  position: relative;
}

#card_social a {
  display: block; 
  float: left;
  margin-left: 10px;
}

#card_social a img {
  max-width: 30px;
}

.footer_info {
  bottom: 40px;
  width: 100%;
  position: fixed;
  left: 0;
}

.footer_info h1 {
  font-size: 4em;
  font-family: 'Carter One', cursive;
  font-weight: bold;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  margin: 0 20px;
}

.footer_info h1 > small {
  display: block;
  font-family: 'Noto Sans', sans-serif;
  color: #0065a4;
  margin-top: 10px;
}

.footer_info h1 > small > span {
  opacity: 0.5;
}

#cnt_name {
  /*margin-top: -160px;*/
  font-size: 20px;
  width: 480px;  
  border-radius: 10px;
  font-weight: bold;
}

#cnt_name input {
  padding: 10px 20px; 
  text-align: center;
  border: 4px solid #EE3C80;
  border-radius: 100px;
  background-color: rgba(255, 255, 255, 0.75);
  width: 100%;
  transition: all 0.3s ease-out;
  box-shadow: inset 0 5px 10px rgba(0, 0, 0, 0.3);
}

#cnt_name input::placeholder {
  color: #0065a4;
  opacity: 0.5;
}

#cnt_name input:focus {
  outline: 0;
  background-color: #fff;
}



.pulse {
  animation: pulse 3s infinite;
}

.blink {
  animation: blink 3s infinite;
}


.cnt_start {
  position: absolute;
  left: 50%;
  top: 50%;  
  transform: translate(-50%, -50%);
  transition: 0.3s all;
}

#btn_start {
  margin-top: 10px;
  padding: 10px 20px; 
  text-align: center;
  border: 4px solid #EE3C80;
  border-radius: 100px;
  background-color: #EE3C80;  
  width: 100%;
  transition: all 0.3s ease-out;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);

  color: #fff;  
  display: block;
  text-decoration: none;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 20px;
}

#btn_start .arrow {
  display: inline-block;
  position: relative;
  border-top: 8px solid transparent;
  border-bottom: 8px solid transparent;
  border-left: 16px solid #fff;
  margin-left: 8px;
  width: 0;
  height: 0;
}

#btn_start:active {
  transform: translateY(2px);
  box-shadow: none;
}



#btn_buzzer {
  width: 360px;
  height: 360px;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);  
}

#btn_buzzer:before {
  position: absolute;
  content: '';
  left: -20px;
  right: -20px;
  top: -20px;
  bottom: -20px;
  background-color: rgba(255, 255, 255, 0.5);
  z-index: -1;
  border-radius: 50%;
  /*animation: pulse 3s infinite;*/
}

#btn_buzzer a {
  line-height: 360px;
  font-size: 60px;
  display: block;
  text-decoration: none;
  text-transform: uppercase;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background: #EE3C80;
  background: linear-gradient(#EE3C80, #9e0042);
  position: relative;
  color: rgba(255, 255, 255, 1);
  font-weight: bold;
  text-align: center;
  transition: box-shadow 0.15s ease-out, transform 0.15s ease-out;  
  z-index: -1;  
  box-shadow:
    inset 0 2px 3px rgba(255, 255, 255, 0.13),
    0 5px 8px rgba(0, 0, 0, 0.3),
    0 10px 10px 4px rgba(0, 0, 0, 0.3);
}

#btn_buzzer a span {
  position: relative;
  top: 0;
  display: block;
  /*text-shadow: 0 2px 2px rgba(0, 0, 0, 0.5);*/
  transition: all 0.15s ease-out;
}

#btn_buzzer a:after {
  content: "";
  position: absolute;
  left: -20px;
  right: -20px;
  top: -20px;
  bottom: -20px;
  z-index: -2;
  border-radius: inherit;
  /*animation: pulse 3s infinite;*/
  box-shadow:
    inset 0 1px 0 rgba(255, 255, 255, 0.1),
    0 1px 2px rgba(0, 0, 0, 0.3),
    0 0 10px rgba(0, 0, 0, 0.15);
}

#btn_buzzer a:before {
  content: "";
  position: absolute;
  left: -10px;
  right: -10px;
  top: -10px;
  bottom: -10px;
  z-index: -1;
  border-radius: inherit;
  box-shadow: inset 0 10px 10px rgba(0, 0, 0, 0.13);
  -webkit-filter: blur(1px);
  filter: blur(1px);
  /*animation: pulse 3s infinite;*/
}

#btn_buzzer:not(.disabled) a:active {
  /*transform: scale(0.95, 0.95);*/
  box-shadow:
    inset 0 2px 3px rgba(255, 255, 255, 0.13),
    0 5px 8px rgba(0, 0, 0, 0.35),
    0 3px 10px 4px rgba(0, 0, 0, 0.2);
}

#btn_buzzer:not(.disabled) a:active span {
  transform: translateY(1px) scale(0.98, 0.98);
}

#btn_buzzer .icon-off:after {
  content: "";
  display: block;
  position: absolute;
  width: 70%;
  height: 70%;
  left: 50%;
  top: 50%;
  z-index: -1;
  margin: -35% 0 0 -35%;
  border-radius: 50%;
  background: linear-gradient(#9e0042, #EE3C80);
  box-shadow:
    0 -2px 5px rgba(255, 255, 255, 0.05),
    0 2px 5px rgba(255, 255, 255, 0.1);
  -webkit-filter: blur(1px);
  filter: blur(1px);
}

#btn_buzzer input {
  display: block;
  width: 100%;
  height: 100%;
  opacity: 0;
  z-index: 100;
  position: absolute;
  cursor: pointer;
}

#btn_buzzer.disabled {
  filter: saturate(0%);
}

#cnt_start {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
}

#cnt_card {
  display: none;
}





@keyframes pulse {
  0%, 100% {
    transform: scale(1, 1);
  }
  50% {
    transform: scale(1.05, 1.05);
  }
}

@keyframes blink {
  0%, 100% {
    opacity: 1;
  }
  50% {
    opacity: 0.5;
  }
}







#cnt_card_table {
  padding: 30px;
}

#cnt_card_table table {
  width: 100%;
  border-collapse: collapse;
  background-color: rgba(255, 255, 255, 0.5);
}

#cnt_card_table table td {  
  text-align: center;
  width: 20%;
  height: 100%;
  border: 3px solid #EE3C80;
  overflow: hidden;
}

#cnt_card_table table td a {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  height: 100%;
  width: 100%;
  padding: 0 5px; 
  line-height: 1em;
  text-decoration: none;
  font-weight: bold;
  border: 3px solid #fff;
  transition: 0.25s color, 0.25s background-color;
  text-transform: uppercase;
}

#cnt_card_table table td a.active {
  background-color: #EE3C80;
  color: #fff;
}












.flyer-wrapper {
  margin-top: 15px;
  position: relative;
}

.flyer-wrapper-info {
  padding: 30px;
  position: absolute;
  left: 5%;
  right: 5%;  
  top: 82%;
  text-align: center;
  box-sizing: border-box;
  
  font-size: 4em;
}

.btn-custom {
  background-color: #EE3C80;
  color: #fff;
}









body.res_medium .logo {
  margin: 10px;
  width: 50px;
}

body.res_medium .col_logo {
  padding: 10px !important;
  width: 70px;
}

body.res_medium .col_card_image {
  padding: 10px !important;
  width: 70px;
}

body.res_medium .col_card_image_empty {
  width: 10px;
}  

body.res_medium #cnt_card_number {
  font-size: 16px;
}

body.res_medium #cnt_name {
  /*margin-top: -100px; */
  font-size: 16px;    
}

body.res_medium #btn_buzzer {
  width: 180px;
  height: 180px;
}

body.res_medium #btn_buzzer a {
  line-height: 180px;
  font-size: 28px;
  letter-spacing: 1px;
}

body.res_medium .arrow {
  border-top: 6px solid transparent;
  border-bottom: 6px solid transparent;
  border-left: 12px solid #fff;  
}

body.res_medium .footer_info {
  bottom: 20px;
}

body.res_medium .footer_info h1 {
  font-size: 2em;    
}

body.res_medium #cnt_card_table {
  padding: 10px;    
}

body.res_medium #cnt_card_table table td a {
  font-size: 16px;
}



body.res_small .logo {
  margin: 10px;
  width: 50px;
}

body.res_small .col_logo {
  padding: 10px !important;
  width: 70px;
}

body.res_small #cnt_name {
  /*margin-top: -50px;*/
  width: 240px;
}

body.res_small #cnt_name input {
  padding: 5px 10px;
  border-width: 2px;
}

body.res_small #btn_buzzer {
  width: 120px;
  height: 120px;
}

body.res_small #btn_buzzer a {
  line-height: 120px;
  font-size: 18px;
  letter-spacing: 0px;
}

body.res_small #btn_buzzer:before,
body.res_small #btn_buzzer a:after {
  left: -10px;
  right: -10px;
  top: -10px;
  bottom: -10px;
}

body.res_small #btn_buzzer a:before {
  left: -5px;
  right: -5px;
  top: -5px;
  bottom: -5px;
  box-shadow: inset 0 5px 5px rgba(0, 0, 0, 0.13);
}

body.res_small .arrow {
  border-top-width: 4px;
  border-bottom-width: 4px;
  border-left-width: 8px;
}

body.res_small .footer_info {
  bottom: 10px;
}

body.res_small .footer_info h1 {
  font-size: 1em;    
}

body.res_small .footer_info h1 > small {
  margin-top: 4px;
}





body.res_xsmall .logo {
  margin: 5px;
  margin-bottom: 0;
  width: 25px;
}

body.res_xsmall .col_logo {
  padding: 5px 10px !important;
  width: 35px;
}

body.res_xsmall .col_card_image {
  padding: 5px 10px !important;
  width: 46px;
}

body.res_xsmall .col_card_image_empty {
  width: 10px;
}

body.res_xsmall #card_social a img {
  max-width: 26px;
}

body.res_xsmall #card_info {
  line-height: 0.8em;
}

body.res_xsmall #cnt_card_number,
body.res_xsmall #cnt_active_play_list_index {
  font-size: 12px;
}

body.res_xsmall #cnt_card_table table td a {
  font-size: 12px;
  font-weight: normal;  
} 

body.res_xsmall #cnt_name {
  /*margin-top: -50px;*/
}

body.res_xsmall #btn_buzzer {
  width: 60px;
  height: 60px;
}

body.res_xsmall #btn_buzzer a {
  line-height: 60px;
  font-size: 10px;
}

body.res_xsmall .arrow {
  border-top-width: 2px;
  border-bottom-width: 2px;
  border-left-width: 4px;
}




@media (max-width: 992px) {
  .flyer-wrapper-info {
    font-size: 2em;
  }
}





@media (max-width: 860px) or (max-height: 860px) {
  .body-qr .logo {    
    width: 585px;
  }
}



@media (max-width: 768px) or (max-height: 768px) {
  .body-qr .logo {
    padding: 10px !important;
    width: 390px;
  }
  
  .body-qr .footer_info {
    bottom: 20px;
  }

  .body-qr .footer_info h1 {
    font-size: 3em;    
  }
  
  .body-qr .cnt_qrcode_with_image {
    width: 430px;
  }
  
  .body-qr .cnt_qrcode_with_image img,
  .body-qr .cnt_qrcode_with_image .cnt_event_image {
    width: 215px;
    height: 215px;
  }
  
  .flyer-wrapper-info {
    font-size: 1em;
    padding: 10px;    
  }
}





@media (max-width: 480px) {
  .body-qr .col_logo {
    padding: 10px !important;
    width: 195px;
  }
  
  .body-qr .footer_info {
    bottom: 10px;
  }

  .body-qr .footer_info h1 {
    font-size: 1.5em;    
  }
  
  .body-qr .cnt_qrcode_with_image {
    width: 215px;
  }
  
  .body-qr .cnt_qrcode_with_image .cnt_event_image {
    display: none;
  }
  
  
  
  .flyer-wrapper-info {
    padding: 0 10px;    
  }
}

